libvisio::VSDNURBSTo2 Class Reference
Inheritance diagram for libvisio::VSDNURBSTo2:

## Public Member Functions

| VSDNURBSTo2 (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID)
| ~VSDNURBSTo2 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
unsigned | getDataID () const override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
void | setLevel (unsigned level)

## Public Attributes

unsigned | m_dataID
double | m_x2
double | m_y2
double | m_knot
double | m_knotPrev
double | m_weight
double | m_weightPrev

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDNURBSTo2()

libvisio::VSDNURBSTo2::VSDNURBSTo2 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID )

inline

Referenced by clone().

## ~VSDNURBSTo2()

libvisio::VSDNURBSTo2::~VSDNURBSTo2 | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDNURBSTo2::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## getDataID()

unsigned libvisio::VSDNURBSTo2::getDataID | ( |  | ) | const

override virtual

Reimplemented from libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDNURBSTo2::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_dataID

unsigned libvisio::VSDNURBSTo2::m_dataID

Referenced by clone(), getDataID(), handle(), and VSDNURBSTo2().

## m_knot

double libvisio::VSDNURBSTo2::m_knot

Referenced by clone(), handle(), and VSDNURBSTo2().

## m_knotPrev

double libvisio::VSDNURBSTo2::m_knotPrev

Referenced by clone(), handle(), and VSDNURBSTo2().

## m_weight

double libvisio::VSDNURBSTo2::m_weight

Referenced by clone(), handle(), and VSDNURBSTo2().

## m_weightPrev

double libvisio::VSDNURBSTo2::m_weightPrev

Referenced by clone(), handle(), and VSDNURBSTo2().

## m_x2

double libvisio::VSDNURBSTo2::m_x2

Referenced by clone(), handle(), and VSDNURBSTo2().

## m_y2

double libvisio::VSDNURBSTo2::m_y2

Referenced by clone(), handle(), and VSDNURBSTo2().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp